You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@kyuubi.apache.org by ch...@apache.org on 2021/10/14 05:53:19 UTC

[incubator-kyuubi] branch master updated: [KYUUBI #1233] Add checkout_pr.sh script

This is an automated email from the ASF dual-hosted git repository.

chengpan pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-kyuubi.git


The following commit(s) were added to refs/heads/master by this push:
     new 8a8f49d  [KYUUBI #1233] Add checkout_pr.sh script
8a8f49d is described below

commit 8a8f49d987967a1b3f15bfb80274acda25ce1859
Author: Cheng Pan <ch...@apache.org>
AuthorDate: Thu Oct 14 13:53:09 2021 +0800

    [KYUUBI #1233] Add checkout_pr.sh script
    
    <!--
    Thanks for sending a pull request!
    
    Here are some tips for you:
      1. If this is your first time, please read our contributor guidelines: https://kyuubi.readthedocs.io/en/latest/community/contributions.html
      2. If the PR is related to an issue in https://github.com/apache/incubator-kyuubi/issues, add '[KYUUBI #XXXX]' in your PR title, e.g., '[KYUUBI #XXXX] Your PR title ...'.
      3. If the PR is unfinished, add '[WIP]' in your PR title, e.g., '[WIP][KYUUBI #XXXX] Your PR title ...'.
    -->
    
    ### _Why are the changes needed?_
    <!--
    Please clarify why the changes are needed. For instance,
      1. If you add a feature, you can talk about the use case of it.
      2. If you fix a bug, you can clarify why it is a bug.
    -->
    A convenient tool for checkout PR to local branch.
    
    ### _How was this patch tested?_
    - [ ] Add some test cases that check the changes thoroughly including negative and positive cases if possible
    
    - [ ] Add screenshots for manual tests if appropriate
    
    - [ ] [Run test](https://kyuubi.readthedocs.io/en/latest/develop_tools/testing.html#running-tests) locally before make a pull request
    
    Closes #1233 from pan3793/pr.
    
    Closes #1233
    
    97489300 [Cheng Pan] Add checkout_pr.sh script
    
    Authored-by: Cheng Pan <ch...@apache.org>
    Signed-off-by: Cheng Pan <ch...@apache.org>
---
 dev/checkout_pr.sh | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/dev/checkout_pr.sh b/dev/checkout_pr.sh
new file mode 100755
index 0000000..082b4e9
--- /dev/null
+++ b/dev/checkout_pr.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -o pipefail
+set -e
+set -x
+
+function usage {
+  echo "Usage: $(basename "${0}") [-f] <PR_NUMBER>" 2>&1
+  echo '   -f  force overwrite of local branch (default: fail if exists)'
+  exit 1
+}
+
+if [[ ${#} -eq 0 ]]; then
+  usage
+fi
+
+FORCE=""
+while getopts ":f" arg; do
+  case "${arg}" in
+    f)
+      FORCE="--force"
+      ;;
+    ?)
+      usage
+      ;;
+  esac
+done
+shift "$(($OPTIND -1))"
+
+PR_NUM=$1
+
+git fetch apache pull/${PR_NUM}/head:PR_${PR_NUM} ${FORCE}
+git checkout PR_${PR_NUM}